Api Change Log

Application Versions


Changes between 22.6.0 to 24.6

What's New


  1. PUT /livepmdata/{userSessionId} Updates the subscription to retrieve the Live PM data for Connections or NEs
  2. DELETE /livepmdata/{userSessionId} Unsubscribes to stop receiving the Live PM data
  3. PUT /hadoop/file/{neId} stores specific NE PM Data in different files under specified dsts hadoop folder
  4. POST /ne/missingmappinginfo This API finds all missing mapping info
  5. POST /ne/exportpdf Download PM data as a PDF report for NEs
  6. POST /ne/exportcompactpdf Download PM data as a PDF report for NEs
  7. POST /livepmdata Subscribes to Live PM data for Connections or NEs
  8. POST /livepmdata/{userSessionId}/resume Resumes the subscription to start receiving Live PM data
  9. POST /livepmdata/{userSessionId}/pause Pauses the subscription to pause receiving Live PM data
  10. POST /cxn/exportpdf Download PM data as a report for connections
  11. POST /cxn/exportcompactpdf Download PM data as a compact pdf report for connections
  12. POST /connection/kpiquery Fetches PM SUTS KPI data for connections
  13. GET /livepmdatasessionstatus/{userSessionId} Fetches current status of Live PM session
  14. GET /livepmdatasessions Fetches Current and Max Live PM sessions and many other configured system preference settings

What's Deleted


  1. GET /getNeCount Fetches total number of NEs present in system

What's Deprecated


  1. POST /hadoop/file stores the NE PM DATA under specified dsts hadoop folder
  2. GET /nbi-streaming/api/v1/subscriptions/ Fetches all details of all NBI forwarding subscriptions
  3. POST /nbi-streaming/api/v1/subscriptions/ Creates new NBI forwarding subscription for PM Data with given filters
  4. GET /nbi-streaming/api/v1/subscriptions/{subscriptionId} Fetches all details of specified NBI forwarding subscription
  5. POST /nbi-streaming/api/v1/subscriptions/{subscriptionId} Updates the subscription details for given subscription id
  6. DELETE /nbi-streaming/api/v1/subscriptions/{subscriptionId} Stops and unsubscribes NBI forwarding for given subscription id

What's Changed


  1. POST /connection/cxnPmData It is NAD compliant.Fetches PM data for connections
    • Request

      • New body: 'application/json'
    • Response

      • Changed response : [200]//Successfully retrieved data
        • New body: '*/*'
      • Changed response : [400]//Validation errors: <br />Response size exceeded <br />Granularity should be 15mins or 24hours <br />File location is not matching the ip <br />Start time should be a valid timestamp <br />End time should be a valid timestamp <br />The CXN ID is not present in PM DB <br /> The CXN ID is not having matching data in PM db <br /> ObjIds should not be empty and should contain valid Connection IDs <br />Start date time should be less than end date time
        • New body: '*/*'
      • Changed response : [401]//You are not authorized to view the resource
        • New body: '*/*'
      • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
        • New body: '*/*'
      • Changed response : [500]//Internal application error
        • New body: '*/*'
  2. POST /connection/query It is NAD compliant.Fetches PM data for connections
    • Request

      • New body: 'application/json'
    • Response

      • Changed response : [200]//Successfully retrieved data
        • New body: '*/*'
      • Changed response : [400]//Validtion errors: <br />Response size exceeded <br />Granularity should be 15mins or 24hours <br />File location is not matching the ip <br />Start time should be a valid timestamp <br />End time should be a valid timestamp <br />The CXN ID is not present in PM DB <br /> The CXN ID is not having matching data in PM db <br /> ObjIds should not be empty and should contain valid Connection IDs <br />Start date time should be less than end date time
        • New body: '*/*'
      • Changed response : [401]//You are not authorized to view the resource
        • New body: '*/*'
      • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
        • New body: '*/*'
      • Changed response : [500]//Internal application error
        • New body: '*/*'
  3. POST /cxn/export It is NAD compliant.Download PM data as a report for connections
    • Request

      • New body: 'application/json'
    • Response

      • New response : [404]//ErrPreviewFailed: Too many ODR requests in processing
      • Changed response : [200]//Successfully downloaded data
        • New body: '*/*'
      • Changed response : [400]//Validation errors: <br />Granularity should be 1min/15mins/24hours/4hr/8/hr/1hr <br />Connection ID is not present in PM DB. <br />NeId and port is not present in given connection ID. <br />NeId is not present for given Connection ID. <br />File location is not matching the ip <br />Start time should be a valid timestamp <br />End time should be a valid timestamp <br />ObjIds should not be empty and should contain valid Connection IDs <br />Start date time should be less than end date time <br />Sftp details are incorrect, could not connect to sftp server <br />The given file does not exist in the location
        • New body: '*/*'
      • Changed response : [401]//You are not authorized to download the resource
        • New body: '*/*'
      • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
        • New body: '*/*'
      • Changed response : [500]//Validation errors: <br />Internal application error <br />Unable to get the report
        • New body: '*/*'
  4. POST /deleteJobByProfileId
    • Parameters

      • Delete method in query //method
    • Request

      • New body: 'application/json'
    • Response

      • New response : [400]//Validation errors: <br />ErrProfileIdIsEmpty:ProfileId cannot be empty
      • Changed response : [200]//Successfully retrieved data
        • New body: '*/*'
      • Changed response : [401]//You are not authorized to view the resource
        • New body: '*/*'
      • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
        • New body: '*/*'
      • Changed response : [404]//The resource you were trying to reach is not found
        • New body: '*/*'
      • Changed response : [500]//Internal Server Error
        • New body: '*/*'
  5. DELETE /deletereportfile/{profileId}/{fileName}
    • Parameters

      • fileName in path change into required
      • profileId in path change into required
    • Response

      • Changed response : [200]//Successfully deleted file
        • New body: '*/*'
      • Changed response : [400]//Validation errors: <br />The given file does not exist in the location.
        • New body: '*/*'
      • Changed response : [401]//You are not authorized to delete the resource
        • New body: '*/*'
      • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
        • New body: '*/*'
      • Changed response : [500]//Internal application error
        • New body: '*/*'
  6. GET /downloadreportfile/{profileId}/{fileName}
    • Parameters

      • fileName in path change into required
      • profileId in path change into required
    • Response

      • Changed response : [200]//Successfully downloaded data
        • New body: '*/*'
      • Changed response : [400]//Validation errors: <br />Download Failed because of Too many download file requests in processing. <br />ErrProfileIdNotExist:Profile Id does not exist in DB.
        • New body: '*/*'
      • Changed response : [401]//You are not authorized to download the resource
        • New body: '*/*'
      • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
        • New body: '*/*'
      • Changed response : [500]//Internal application error
        • New body: '*/*'
  7. POST /getCurrentlyRunningJobsCount Fetches the current job count
    • Response

      • Changed response : [200]//Successfully retrieved data
        • New body: '*/*'
      • Changed response : [401]//You are not authorized to view the resource
        • New body: '*/*'
      • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
        • New body: '*/*'
      • Changed response : [404]//The resource you were trying to reach is not found
        • New body: '*/*'
      • Changed response : [500]//Internal Server Error
        • New body: '*/*'
  8. GET /getCxnCount
    • Response

      • Changed response : [200]//Successfully retrieved data
        • New body: '*/*'
      • Changed response : [401]//You are not authorized to view the resource
        • New body: '*/*'
      • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
        • New body: '*/*'
      • Changed response : [404]//The resource you were trying to reach is not found
        • New body: '*/*'
      • Changed response : [500]//Internal Server Error
        • New body: '*/*'
  9. POST /getPortDataForNes/
    • Request

      • New body: 'application/json'
    • Response

      • Changed response : [200]//Successfully retrieved data
        • New body: '*/*'
      • Changed response : [401]//You are not authorized to view the resource
        • New body: '*/*'
      • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
        • New body: '*/*'
      • Changed response : [404]//The resource you were trying to reach is not found
        • New body: '*/*'
      • Changed response : [500]//Internal Server Error
        • New body: '*/*'
  10. GET /getallschedules
    • Response

      • Changed response : [200]//Successfully retrieved data
        • New body: '*/*'
      • Changed response : [401]//You are not authorized to view the resource
        • New body: '*/*'
      • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
        • New body: '*/*'
      • Changed response : [500]//Internal application error
        • New body: '*/*'
  11. POST /getcxnspanloss/ Retrieves spanloss for given connections
    • Request

      • New body: 'application/json'
    • Response

      • Changed response : [200]//Successfully found the spanloss KPI values for given connection ids
        • New body: '*/*'
      • Changed response : [400]//Validation errors: <br />Granularity should be 15mins or 24hours <br />objIds should not be empty and it should contain valid Connection Ids
        • New body: '*/*'
      • Changed response : [401]//You are not authorized to download the resource
        • New body: '*/*'
      • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
        • New body: '*/*'
      • Changed response : [500]//Internal application error
        • New body: '*/*'
  12. GET /getreportfiles/{profileId}/{noOfFiles}
    • Parameters

      • noOfFiles in path change into required
      • profileId in path change into required
    • Response

      • New response : [400]//Validation errors: <br />ErrProfileIdNotExist:Profile Id does not exist in DB.
      • Changed response : [200]//Successfully retrieved data
        • New body: '*/*'
      • Changed response : [401]//You are not authorized to view the resource
        • New body: '*/*'
      • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
        • New body: '*/*'
      • Changed response : [500]//Internal application error
        • New body: '*/*'
  13. GET /getschedule/{profileId}
    • Parameters

      • profileId in path change into required
    • Response

      • Changed response : [200]//Successfully retrieved data
        • New body: '*/*'
      • Changed response : [400]//Validation errors: <br />ProfileId is not valid, please try with valid profileId
        • New body: '*/*'
      • Changed response : [401]//You are not authorized to view the resource
        • New body: '*/*'
      • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
        • New body: '*/*'
      • Changed response : [404]//The resource you were trying to reach is not found
        • New body: '*/*'
      • Changed response : [500]//Internal application error
        • New body: '*/*'
  14. POST /hadoop/file stores the NE PM DATA under specified dsts hadoop folder
    • Request

      • New body: 'application/json'
    • Response

      • Changed response : [200]//Successfully retrieved data
        • New body: '*/*'
      • Changed response : [401]//You are not authorized to view the resource
        • New body: '*/*'
      • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
        • New body: '*/*'
      • Changed response : [404]//The resource you were trying to reach is not found
        • New body: '*/*'
      • Changed response : [500]//Internal application error
        • New body: '*/*'
  15. POST /mdcxnlist
    • Request

      • New body: 'application/json'
    • Response

      • Changed response : [200]//Successfully retrieved data
        • New body: '*/*'
      • Changed response : [400]//Validation errors: <br /> Request Object cannot be empty <br /> Number of Entries field should be always greater than 0 <br /> Column name field cannot be empty if sortBy is specified <br /> Operation value should be "asc" or "desc" <br /> Filter value should not be empty <br /> Case Sensitive should be true of false <br /> Negation should be either true of false <br /> CxnIds should contain valid Connection Ids. <br /> ConnectionID should not be empty.
        • New body: '*/*'
      • Changed response : [401]//You are not authorized to view the resource
        • New body: '*/*'
      • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
        • New body: '*/*'
      • Changed response : [404]//The resource you were trying to reach is not found
        • New body: '*/*'
      • Changed response : [500]//Internal Server Error
        • New body: '*/*'
  16. GET /nbi-streaming/api/v1/subscriptions/ Fetches all details of all NBI forwarding subscriptions
    • Response

      • Changed response : [200]//Successfully retrieved data
        • New body: '*/*'
      • Changed response : [401]//You are not authorized to view the resource
        • New body: '*/*'
      • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
        • New body: '*/*'
      • Changed response : [500]//Internal application error
        • New body: '*/*'
  17. POST /nbi-streaming/api/v1/subscriptions/ Creates new NBI forwarding subscription for PM Data with given filters
    • Request

      • New body: 'application/json'
    • Response

      • Changed response : [200]//Successfully subscribed to data
        • New body: '*/*'
      • Changed response : [400]//Validation errors: <br /> Granularity should be 15mins or 24hours in this release. <br /> Start time should be a valid timestamp. It cannot be very older date time<br /> profileName should not be empty. <br /> Filter key cannot be empty in neFilter. <br /> Filter key under neFilter should be one of [neLabel, addr, loc, rel, type]. <br /> Filter value cannot be empty in neFilter. <br /> Filter value under neFilter should start with one of keyword [starts, ends, contains] followed by space. <br /> This operation is not allowed for current user.
        • New body: '*/*'
      • Changed response : [404]//The resource you were trying to reach is not found
        • New body: '*/*'
      • Changed response : [409]//Maximum NBI Kafka streaming sessions limit reached
        • New body: '*/*'
      • Changed response : [500]//Internal Server Error
        • New body: '*/*'
  18. GET /nbi-streaming/api/v1/subscriptions/{subscriptionId} Fetches all details of specified NBI forwarding subscription
    • Parameters

      • subscriptionId in path change into required
    • Response

      • Changed response : [200]//Successfully retrieved subscription data
        • New body: '*/*'
      • Changed response : [400]//Validation errors: <br /> subscriptionId should not be empty
        • New body: '*/*'
      • Changed response : [404]//The resource you were trying to reach is not found
        • New body: '*/*'
      • Changed response : [500]//Internal Server Error
        • New body: '*/*'
  19. POST /nbi-streaming/api/v1/subscriptions/{subscriptionId} Updates the subscription details for given subscription id
    • Parameters

      • subscriptionId in path change into required
    • Request

      • New body: 'application/json'
    • Response

      • Changed response : [200]//Successfully updated subscription to data
        • New body: '*/*'
      • Changed response : [400]//Validation errors: <br /> Granularity should be 15mins or 24hours in this release. <br /> User cannot update subscription created by others. <br /> Start time should be a valid timestamp. It cant be very older date time <br /> Filter key cannot be empty in neFilter. <br /> Filter key under neFilter should be one of [neLabel, addr, loc, rel, type]. <br /> Filter value cannot be empty in neFilter. <br /> Filter value under neFilter should start with one of keyword [starts, ends, contains] followed by space. <br /> subscriptionId should not be empty.
        • New body: '*/*'
      • Changed response : [404]//The resource you were trying to reach is not found
        • New body: '*/*'
      • Changed response : [500]//Internal Server Error
        • New body: '*/*'
  20. DELETE /nbi-streaming/api/v1/subscriptions/{subscriptionId} Stops and unsubscribes NBI forwarding for given subscription id
    • Parameters

      • subscriptionId in path change into required
    • Response

      • Changed response : [400]//Validation errors: <br /> subscriptionId should not be empty. <br /> User cannot delete subscription created by others
    • POST /ne/export It is NAD compliant. Download PM data as a CSV report for NEs
      • Request

        • New body: 'application/json'
      • Response

        • New response : [404]//ErrPreviewFailed: Too many ODR requests in processing
        • Changed response : [200]//Successfully downloaded data
          • New body: '*/*'
        • Changed response : [400]//Validtion errors: <br />Granularity should be 15mins/24hours <br />Ports for given NE Id is not present. <br />File location is not matching the ip address <br />Start time should be a valid timestamp <br />End time should be a valid timestamp <br />ObjIds should not be empty and should contain valid NE IDs <br />Start date time should be less than end date time <br />Sftp details are incorrect, could not connect to sftp server <br />The given file does not exist in the location
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to download the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    • POST /ne/nePmData It is NAD compliant. Fetches PM data for NEs
      • Request

        • New body: 'application/json'
      • Response

        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [400]//Validation errors: <br />Response size exceeded <br />Granularity should be 15mins or 24hours <br />File location is not matching the ip <br />Start time should be a valid timestamp <br />End time should be a valid timestamp <br />NE ID should not be empty <br />Start date time should be less than end date time <br />Sftp details are incorrect, could not connect to sftp server
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    • POST /ne/query It is NAD compliant. Fetches PM data for NEs
      • Request

        • New body: 'application/json'
      • Response

        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [400]//Validation errors: <br />Response size exceeded <br />Granularity should be 15mins or 24hours <br />File location is not matching the ip <br />Start time should be a valid timestamp <br />End time should be a valid timestamp <br />NE ID should not be empty <br />Start date time should be less than end date time <br />Sftp details are incorrect, could not connect to sftp server
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    • POST /ne/top5/lagUtilization Fetch Top 5 elements having maximum LAG Utilization
      • Response

        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    • POST /ne/top5/{kpiName} Fetch Top 5 elements for the given KPI
      • Parameters

        • kpiName in path
      • Response

        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    • POST /pauseJobByProfileId
      • Parameters

        • Delete method in query //method
      • Request

        • New body: 'application/json'
      • Response

        • New response : [400]//Validation errors: <br />ErrProfileIdIsEmpty:ProfileId cannot be empty
        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [404]//The resource you were trying to reach is not found
          • New body: '*/*'
        • Changed response : [500]//Internal Server Error
          • New body: '*/*'
    • GET /readjobstatus/
      • Response

        • New response : [400]//Validation errors: <br />ErrHadoopError:Error in reading data from PM database.
        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    • POST /resumeJobByProfileId
      • Parameters

        • Delete method in query //method
      • Request

        • New body: 'application/json'
      • Response

        • New response : [400]//Validation errors: <br />ErrProfileIdIsEmpty:ProfileId cannot be empty
        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [404]//The resource you were trying to reach is not found
          • New body: '*/*'
        • Changed response : [500]//Internal Server Error
          • New body: '*/*'
    • POST /schedulejob/create
      • Request

        • New body: 'application/json'
      • Response

        • Changed response : [200]//Successfully created CSV report schedule job
          • New body: '*/*'
        • Changed response : [400]//Validation errors:<br /> Granularity should be 15mins or 24hours <br /> Profile Id should contain only Alpha Numeric and Underscore characters <br /> Local File location should contain only Alpha Numeric, Eiphen and Underscore characters <br /> SFTP details are incorrect hence could not connect to sftp server <br /> SFTP File location is not matching the ip:port/path pattern <br /> Profile Status should be either active or inactive <br /> Duration of data should not be empty <br /> Duration of data should have valid value <br /> Purge Criteria should be specified <br /> Frequency should be set to either daily, weekly, monthly and Yearly. It should not be empty <br /> Daily option should be either onetime or reccurence .It should not be null <br /> Enter a valid hour and min in onetime field or reccurence field <br /> Enter a valid hour and min in daily, weekly, monthly and in yearly fields <br /> Start date should be valid End date time should be greater than start time <br /> End date time should be greater than current time <br /> Sftp field should not be set to "active" or "inactive" <br /> Report format version should not be null or empty
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [404]//The resource you were trying to reach is not found
          • New body: '*/*'
        • Changed response : [409]//Already a profile with specified Id exists in DB
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    • DELETE /schedulejob/delete/{profileId}
      • Parameters

        • profileId in path change into required
      • Response

        • Changed response : [200]//Successfully Deleted data
          • New body: '*/*'
        • Changed response : [400]//Validation errors: <br /> ErrProfileIdNotExist:Profile Id does not exist in DB
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to delete the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [404]//The resource you were trying to reach is not found
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    • PUT /schedulejob/update
      • Request

        • New body: 'application/json'
      • Response

        • Changed response : [200]//Successfully updated the data
          • New body: '*/*'
        • Changed response : [400]//Validation errors: <br /> Granularity should be 15mins or 24hours in this release <br /> Profile Id should contain only Alpha Numeric and Underscore characters <br /> Local File location should contain only Alpha Numeric, Eiphen and Underscore characters <br /> SFTP details are incorrect hence could not able connect to sftp server <br /> SFTP File location is not matching the ip:port/path pattern <br /> Profile Status should be either active or inactive <br /> PmReport Duration of data should not be empty <br /> PmReport Duration of data should have valid value <br /> Purge Criteria should be specified <br /> Frequency should be set to either daily, weekly, monthly and Yearly. It should not be empty <br /> Daily option should be either onetime or reccurence .It should not be null <br /> Enter a valid hour and min in onetime field, reccurence field <br /> Enter a valid hour and min in daily, weekly, monthly and in yearly fields <br /> Start date should be valid <br /> End date time should be greater than start time <br /> End date time should be greater than current time <br /> Sftp field should not be set to "active" or "inactive" <br /> Report format version should not be null or empty
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [404]//The resource you were trying to reach is not found
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    • POST /skipNextRunOfJobByProfileId
      • Parameters

        • Delete method in query //method
      • Request

        • New body: 'application/json'
      • Response

        • New response : [400]//Validation errors: <br />ErrProfileIdIsEmpty:ProfileId cannot be empty
        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [404]//The resource you were trying to reach is not found
          • New body: '*/*'
        • Changed response : [500]//Internal Server Error
          • New body: '*/*'
    • POST /startJobNowByProfileId
      • Parameters

        • Delete method in query //method
      • Request

        • New body: 'application/json'
      • Response

        • New response : [400]//Validation errors: <br />ErrInStarting:Error in starting this job
        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [404]//The resource you were trying to reach is not found
          • New body: '*/*'
        • Changed response : [500]//Internal Server Error
          • New body: '*/*'